
Installer - Bug #1689

Duplicate declaration: Class[Foreman::Install::Repos]

06/18/2012 08:34 AM - Marcello de Sousa

Status: Resolved   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since the following commit we get a Duplicate declaration error when following the foreman installer full install:

Instructions:

http://theforeman.org/projects/foreman/wiki/Using_Puppet_Module_ready_to_use#All-in-one-box-Puppet-Foreman-Proxy

Commit:

https://github.com/theforeman/puppet-foreman_proxy/commit/382460a34d39733dab32855d5d90d3d783b105dd#manifests/install.pp

History

#1 - 06/18/2012 08:35 AM - Greg Sutcliffe

Ohad, I'll take this - I merged the commit that broke it, after all. Can I get permissions to take tickets on this project?

#2 - 06/18/2012 08:46 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

yes, you should have full permissions.

#3 - 06/18/2012 08:46 AM - Ohad Levy

- Assignee set to Greg Sutcliffe

#4 - 06/18/2012 09:50 AM - Greg Sutcliffe

Yep, I do now, thanks. Will take a look later today hopefully.

#5 - 06/28/2012 04:11 AM - Ohad Levy

already fixed?

#6 - 06/28/2012 10:16 AM - Greg Sutcliffe

- Status changed from New to Resolved

- % Done changed from 0 to 100

How embarassing, asking for permissions and then not updating the ticket :)

Fixed in a6e5471b3a.
